ATA_SCSI_MODE_SELECT(9)

NAME
ata_scsi_mode_select_xlat - Simulate MODE SELECT 6, 10 commands

SYNOPSIS

unsigned int ata_scsi_mode_select_xlat(struct ata_queued_cmd * qc);

ARGUMENTS

qc
    Storage for translated ATA taskfile

DESCRIPTION

Converts a MODE SELECT command to an ATA SET FEATURES taskfile. Assume this is invoked for direct access devices (e.g. disks) only. There should be no block descriptor for other device types.

LOCKING

spin_lock_irqsave(host lock)

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT